commit: 905027c0bcb53723016e91f452d1774ea3cd84bd
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 4 07:13:17 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 4 07:13:17 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=905027c0
dev-ruby/acts_as_list: add 1.1.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/acts_as_list/Manifest | 1 +
dev-ruby/acts_as_list/acts_as_list-1.1.0.ebuild | 38 +++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-ruby/acts_as_list/Manifest b/dev-ruby/acts_as_list/Manifest
index 547a2ea3dbae..0fd33119099a 100644
--- a/dev-ruby/acts_as_list/Manifest
+++ b/dev-ruby/acts_as_list/Manifest
@@ -1 +1,2 @@
DIST acts_as_list-1.0.4.gem 40448 BLAKE2B
ac0d9e29006c052b1f421fc734d19390942fcb1eb68d33ed67944bf9bcf1dc8b73c813a2ee8ae6b358f74e019bf36d200e6fe44e01391dff68041d5263b907b1
SHA512
45cc3a2ddc3bdf245819bfe62c39cea5e9b96bf63b3e817adae2acadcf7b51f47379ae9bf1c2c1cfd6a1dc70d7279f44e0a932c838fa93fa4a0c3b9dcbcd46ea
+DIST acts_as_list-1.1.0.gem 41984 BLAKE2B
abeb0325795276294451b4cb86e20dab6871003c72679ce28f9326cd844234ad56457a03d9b9ecd81b8c143deeefc25dd15df88a38ebdd1324a953b2399465e7
SHA512
bdcaf07bc4ad3854d68c8d95e666e86c2500474ffa212c315b6b4abd321341ac782c0e301f2c859c12b80ecfdd1cc743ccf8a7bdbdb36e30fafcd98d4928a00a
diff --git a/dev-ruby/acts_as_list/acts_as_list-1.1.0.ebuild
b/dev-ruby/acts_as_list/acts_as_list-1.1.0.ebuild
new file mode 100644
index 000000000000..aecf7c5a7880
--- /dev/null
+++ b/dev-ruby/acts_as_list/acts_as_list-1.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+DESCRIPTION="Capabilities for sorting and reordering a number of objects in a
list"
+HOMEPAGE="https://github.com/brendon/acts_as_list"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activerecord-4.2:*"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/test-unit:2
+ dev-ruby/timecop
+ dev-ruby/activerecord[sqlite]
+ )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/bundler/,/^end/ s:^:#:' test/helper.rb || die
+ sed -i -e '/git ls/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/github_changelog/,$ s:^:#:' Rakefile || die
+}